package com.muyu.pay;

import com.muyu.common.security.annotation.EnableCustomConfig;
import com.muyu.common.security.annotation.EnableMyFeignClients;
import lombok.extern.log4j.Log4j2;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.ConfigurableApplicationContext;

@EnableCustomConfig
//@EnableCustomSwagger2
@EnableMyFeignClients
@SpringBootApplication
@Log4j2
public class MuYuPayApplication {

    public static void main (String[] args) {
        ConfigurableApplicationContext applicationContext = SpringApplication.run(MuYuPayApplication.class, args);
        String[] beanDefinitionNames = applicationContext.getBeanFactory().getBeanDefinitionNames();
        for (String beanDefinitionName : beanDefinitionNames) {
            log.info("beanDeNAME{}",beanDefinitionName);
        }

    }

}
