package com.muyu.pay.service;

import cn.hutool.log.Log;
import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.domain.OrderPayCustomer;
import com.muyu.domain.req.CustomerListReq;
import com.muyu.domain.resp.CustomerResp;

import java.util.List;

public interface OrderPayCustomerService extends IService<OrderPayCustomer> {

    /**
     * 客户列表
     */
    public List<CustomerResp> selectList(CustomerListReq customerListReq);

    List<String> getCustomerAllList();


    void disable (Long orderCustomerId);

    void enable(Long orderCustomerId);

    void settingStatus(Long orderCustomerId, String status);
}
